<div>
  <!-- --------------------------------------------- ตาราง -------------------------------------------------------------------- -->
  <br><br>
  <div  *ngFor="let tableValue of data.template; index as itable">
    <!-- --------------------------------------------- การบัญชี, งบประมาณและเบิกจ่าย -------------------------------------------------------------------- -->
    <div class="row">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">{{ tableValue.tableHead }}</p>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 10px;">
      </div>

      <div class="col-12">
        <div class="overflow-auto">
          <table class="table-proccess table table-striped">
            <thead>
              <tr>
                <th class="text-nowrap" style="width: 800px; min-width: 800px; max-width: 800px; vertical-align: middle;" rowspan = 2 >&nbsp; เรื่อง</th>
                <th class="text-nowrap" style="width: 950px; min-width: 950px; max-width: 950px; text-align: center;" colspan = 3 >สายงานบริหารการเงิน</th>
                <th class="text-nowrap" style="width: 10px; min-width: 10px;" rowspan = 2 ></th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px;text-align: center;">หน่วยงานที่เสนอเรื่อง</th>
              </tr>
              <tr>
                <th class="text-nowrap" style="width: 300px; min-width: 300px; max-width: 300px; text-align: center;">ผลการสอบทาน</th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px; text-align: center;">ความเห็น</th>
                <th class="text-nowrap" style="width: 250px; min-width: 250px; max-width: 250px; text-align: center;">ระบุเป็นประเด็นคงค้าง</th>
                <th class="text-nowrap" style="width: 400px; min-width: 400px; max-width: 400px;text-align: center;">ความเห็น</th>
              </tr>
              
            </thead>
            <tbody>
              <tr *ngFor="let item of tableValue.tableBody; index as istep">
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="vertical-align: inherit;">
                  {{ item.topic }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="vertical-align: inherit; text-align: center;">
                  <div *ngIf="item.inspection === 'have' else inspectionHave">
                    มี
                  </div>
                  <ng-template #inspectionHave>
                    <div *ngIf="item.inspection === 'without' else inspectionWithout">
                      ไม่มี
                    </div>
                  </ng-template>
                  <ng-template #inspectionWithout>
                    <div *ngIf="item.inspection === 'incomplete_or_in_progress' else inspectionElse">
                      ไม่ครบถ้วน/อยู่ระหว่างดำเนินการ
                    </div>
                  </ng-template>
                  <ng-template #inspectionElse>
                    <div>
                    </div>
                  </ng-template>
                  
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="vertical-align: inherit;">
                  {{ item.comment }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}"
                  style="vertical-align: inherit; text-align: center;">
                  {{ item.reviews }}
                </td>
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}" style="text-align: center;"></td>
 
                <td [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}" style="text-align: center; vertical-align:inherit;">
                  {{ item.poComment }}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="col-12">
        <br>
        <!-- หมายเหตุ -->
        <div class="row text-note">
          <div class="col-12">
            <span>หมายเหตุ</span>
          </div>
          <div class="col-12" *ngFor="let item of note; index as i">
            <span>{{ i + 1 }}. &nbsp;{{ item }}</span>
          </div>

          
        </div>
        <!--  -->
        <br><br>
      </div>
      
    </div>
  </div>
  <!-- ----------------------------------------------------------------------------------------------------------------------- -->
</div>